import * as _backstage_catalog_model from '@backstage/catalog-model';
import * as _backstage_core_plugin_api from '@backstage/core-plugin-api';
import * as _backstage_frontend_plugin_api from '@backstage/frontend-plugin-api';
import React__default from 'react';

declare const _default: _backstage_frontend_plugin_api.FrontendPlugin<{
    root: _backstage_frontend_plugin_api.RouteRef<undefined>;
}, {
    registerApi: _backstage_frontend_plugin_api.ExternalRouteRef<undefined>;
}, {
    "nav-item:api-docs": _backstage_frontend_plugin_api.ExtensionDefinition<{
        kind: "nav-item";
        name: undefined;
        config: {};
        configInput: {};
        output: _backstage_frontend_plugin_api.ConfigurableExtensionDataRef<{
            title: string;
            icon: _backstage_core_plugin_api.IconComponent;
            routeRef: _backstage_frontend_plugin_api.RouteRef<undefined>;
        }, "core.nav-item.target", {}>;
        inputs: {};
        params: {
            title: string;
            icon: _backstage_core_plugin_api.IconComponent;
            routeRef: _backstage_frontend_plugin_api.RouteRef<undefined>;
        };
    }>;
    "api:api-docs/config": _backstage_frontend_plugin_api.ExtensionDefinition<{
        kind: "api";
        name: "config";
        config: {};
        configInput: {};
        output: _backstage_frontend_plugin_api.ConfigurableExtensionDataRef<_backstage_core_plugin_api.AnyApiFactory, "core.api.factory", {}>;
        inputs: {};
        params: {
            factory: _backstage_core_plugin_api.AnyApiFactory;
        };
    }>;
    "page:api-docs": _backstage_frontend_plugin_api.ExtensionDefinition<{
        config: {
            initiallySelectedFilter: "all" | "owned" | "starred" | undefined;
        } & {
            path: string | undefined;
        };
        configInput: {
            initiallySelectedFilter?: "all" | "owned" | "starred" | undefined;
        } & {
            path?: string | undefined;
        };
        output: _backstage_frontend_plugin_api.ConfigurableExtensionDataRef<React__default.JSX.Element, "core.reactElement", {}> | _backstage_frontend_plugin_api.ConfigurableExtensionDataRef<string, "core.routing.path", {}> | _backstage_frontend_plugin_api.ConfigurableExtensionDataRef<_backstage_frontend_plugin_api.RouteRef<_backstage_frontend_plugin_api.AnyRouteRefParams>, "core.routing.ref", {
            optional: true;
        }>;
        inputs: {
            [x: string]: _backstage_frontend_plugin_api.ExtensionInput<_backstage_frontend_plugin_api.AnyExtensionDataRef, {
                optional: boolean;
                singleton: boolean;
            }>;
        };
        kind: "page";
        name: undefined;
        params: {
            defaultPath: string;
            loader: () => Promise<JSX.Element>;
            routeRef?: _backstage_frontend_plugin_api.RouteRef<_backstage_frontend_plugin_api.AnyRouteRefParams> | undefined;
        };
    }>;
    "entity-card:api-docs/has-apis": _backstage_frontend_plugin_api.ExtensionDefinition<{
        kind: "entity-card";
        name: "has-apis";
        config: {
            filter: string | undefined;
        };
        configInput: {
            filter?: string | undefined;
        };
        output: _backstage_frontend_plugin_api.ConfigurableExtensionDataRef<React__default.JSX.Element, "core.reactElement", {}> | _backstage_frontend_plugin_api.ConfigurableExtensionDataRef<(entity: _backstage_catalog_model.Entity) => boolean, "catalog.entity-filter-function", {
            optional: true;
        }> | _backstage_frontend_plugin_api.ConfigurableExtensionDataRef<string, "catalog.entity-filter-expression", {
            optional: true;
        }>;
        inputs: {};
        params: {
            loader: () => Promise<JSX.Element>;
            filter?: string | ((entity: _backstage_catalog_model.Entity) => boolean) | undefined;
        };
    }>;
    "entity-card:api-docs/definition": _backstage_frontend_plugin_api.ExtensionDefinition<{
        kind: "entity-card";
        name: "definition";
        config: {
            filter: string | undefined;
        };
        configInput: {
            filter?: string | undefined;
        };
        output: _backstage_frontend_plugin_api.ConfigurableExtensionDataRef<React__default.JSX.Element, "core.reactElement", {}> | _backstage_frontend_plugin_api.ConfigurableExtensionDataRef<(entity: _backstage_catalog_model.Entity) => boolean, "catalog.entity-filter-function", {
            optional: true;
        }> | _backstage_frontend_plugin_api.ConfigurableExtensionDataRef<string, "catalog.entity-filter-expression", {
            optional: true;
        }>;
        inputs: {};
        params: {
            loader: () => Promise<JSX.Element>;
            filter?: string | ((entity: _backstage_catalog_model.Entity) => boolean) | undefined;
        };
    }>;
    "entity-card:api-docs/consumed-apis": _backstage_frontend_plugin_api.ExtensionDefinition<{
        kind: "entity-card";
        name: "consumed-apis";
        config: {
            filter: string | undefined;
        };
        configInput: {
            filter?: string | undefined;
        };
        output: _backstage_frontend_plugin_api.ConfigurableExtensionDataRef<React__default.JSX.Element, "core.reactElement", {}> | _backstage_frontend_plugin_api.ConfigurableExtensionDataRef<(entity: _backstage_catalog_model.Entity) => boolean, "catalog.entity-filter-function", {
            optional: true;
        }> | _backstage_frontend_plugin_api.ConfigurableExtensionDataRef<string, "catalog.entity-filter-expression", {
            optional: true;
        }>;
        inputs: {};
        params: {
            loader: () => Promise<JSX.Element>;
            filter?: string | ((entity: _backstage_catalog_model.Entity) => boolean) | undefined;
        };
    }>;
    "entity-card:api-docs/provided-apis": _backstage_frontend_plugin_api.ExtensionDefinition<{
        kind: "entity-card";
        name: "provided-apis";
        config: {
            filter: string | undefined;
        };
        configInput: {
            filter?: string | undefined;
        };
        output: _backstage_frontend_plugin_api.ConfigurableExtensionDataRef<React__default.JSX.Element, "core.reactElement", {}> | _backstage_frontend_plugin_api.ConfigurableExtensionDataRef<(entity: _backstage_catalog_model.Entity) => boolean, "catalog.entity-filter-function", {
            optional: true;
        }> | _backstage_frontend_plugin_api.ConfigurableExtensionDataRef<string, "catalog.entity-filter-expression", {
            optional: true;
        }>;
        inputs: {};
        params: {
            loader: () => Promise<JSX.Element>;
            filter?: string | ((entity: _backstage_catalog_model.Entity) => boolean) | undefined;
        };
    }>;
    "entity-card:api-docs/consuming-components": _backstage_frontend_plugin_api.ExtensionDefinition<{
        kind: "entity-card";
        name: "consuming-components";
        config: {
            filter: string | undefined;
        };
        configInput: {
            filter?: string | undefined;
        };
        output: _backstage_frontend_plugin_api.ConfigurableExtensionDataRef<React__default.JSX.Element, "core.reactElement", {}> | _backstage_frontend_plugin_api.ConfigurableExtensionDataRef<(entity: _backstage_catalog_model.Entity) => boolean, "catalog.entity-filter-function", {
            optional: true;
        }> | _backstage_frontend_plugin_api.ConfigurableExtensionDataRef<string, "catalog.entity-filter-expression", {
            optional: true;
        }>;
        inputs: {};
        params: {
            loader: () => Promise<JSX.Element>;
            filter?: string | ((entity: _backstage_catalog_model.Entity) => boolean) | undefined;
        };
    }>;
    "entity-card:api-docs/providing-components": _backstage_frontend_plugin_api.ExtensionDefinition<{
        kind: "entity-card";
        name: "providing-components";
        config: {
            filter: string | undefined;
        };
        configInput: {
            filter?: string | undefined;
        };
        output: _backstage_frontend_plugin_api.ConfigurableExtensionDataRef<React__default.JSX.Element, "core.reactElement", {}> | _backstage_frontend_plugin_api.ConfigurableExtensionDataRef<(entity: _backstage_catalog_model.Entity) => boolean, "catalog.entity-filter-function", {
            optional: true;
        }> | _backstage_frontend_plugin_api.ConfigurableExtensionDataRef<string, "catalog.entity-filter-expression", {
            optional: true;
        }>;
        inputs: {};
        params: {
            loader: () => Promise<JSX.Element>;
            filter?: string | ((entity: _backstage_catalog_model.Entity) => boolean) | undefined;
        };
    }>;
    "entity-content:api-docs/definition": _backstage_frontend_plugin_api.ExtensionDefinition<{
        kind: "entity-content";
        name: "definition";
        config: {
            path: string | undefined;
            title: string | undefined;
            filter: string | undefined;
        };
        configInput: {
            filter?: string | undefined;
            title?: string | undefined;
            path?: string | undefined;
        };
        output: _backstage_frontend_plugin_api.ConfigurableExtensionDataRef<React__default.JSX.Element, "core.reactElement", {}> | _backstage_frontend_plugin_api.ConfigurableExtensionDataRef<string, "core.routing.path", {}> | _backstage_frontend_plugin_api.ConfigurableExtensionDataRef<_backstage_frontend_plugin_api.RouteRef<_backstage_frontend_plugin_api.AnyRouteRefParams>, "core.routing.ref", {
            optional: true;
        }> | _backstage_frontend_plugin_api.ConfigurableExtensionDataRef<string, "catalog.entity-content-title", {}> | _backstage_frontend_plugin_api.ConfigurableExtensionDataRef<(entity: _backstage_catalog_model.Entity) => boolean, "catalog.entity-filter-function", {
            optional: true;
        }> | _backstage_frontend_plugin_api.ConfigurableExtensionDataRef<string, "catalog.entity-filter-expression", {
            optional: true;
        }>;
        inputs: {};
        params: {
            loader: () => Promise<JSX.Element>;
            defaultPath: string;
            defaultTitle: string;
            routeRef?: _backstage_frontend_plugin_api.RouteRef<_backstage_frontend_plugin_api.AnyRouteRefParams> | undefined;
            filter?: string | ((entity: _backstage_catalog_model.Entity) => boolean) | undefined;
        };
    }>;
    "entity-content:api-docs/apis": _backstage_frontend_plugin_api.ExtensionDefinition<{
        kind: "entity-content";
        name: "apis";
        config: {
            path: string | undefined;
            title: string | undefined;
            filter: string | undefined;
        };
        configInput: {
            filter?: string | undefined;
            title?: string | undefined;
            path?: string | undefined;
        };
        output: _backstage_frontend_plugin_api.ConfigurableExtensionDataRef<React__default.JSX.Element, "core.reactElement", {}> | _backstage_frontend_plugin_api.ConfigurableExtensionDataRef<string, "core.routing.path", {}> | _backstage_frontend_plugin_api.ConfigurableExtensionDataRef<_backstage_frontend_plugin_api.RouteRef<_backstage_frontend_plugin_api.AnyRouteRefParams>, "core.routing.ref", {
            optional: true;
        }> | _backstage_frontend_plugin_api.ConfigurableExtensionDataRef<string, "catalog.entity-content-title", {}> | _backstage_frontend_plugin_api.ConfigurableExtensionDataRef<(entity: _backstage_catalog_model.Entity) => boolean, "catalog.entity-filter-function", {
            optional: true;
        }> | _backstage_frontend_plugin_api.ConfigurableExtensionDataRef<string, "catalog.entity-filter-expression", {
            optional: true;
        }>;
        inputs: {};
        params: {
            loader: () => Promise<JSX.Element>;
            defaultPath: string;
            defaultTitle: string;
            routeRef?: _backstage_frontend_plugin_api.RouteRef<_backstage_frontend_plugin_api.AnyRouteRefParams> | undefined;
            filter?: string | ((entity: _backstage_catalog_model.Entity) => boolean) | undefined;
        };
    }>;
}>;

export { _default as default };
